Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Functions | Variables
eventedit.php File Reference

Go to the source code of this file.

## Functions
foreach( $categoryList as $category) if(isset( $Action) && $Action !="Edit") if( $groupError==false) | deleteCache ( $siteStyle, $language, $year, $month, $day, $groupID)
| addZero ( $value)
| convertToTwelve ( $value)
| convertToTwentyFour ( $value, $period)

## Variables
| $URL = explode( "/", $_SERVER['REQUEST_URI'] )
else | $masterGroupID = 0
if(isset( $DeleteEvents)) if(isset( $GoDay)) else if(isSet( $GoWeek)) else if(isSet( $GoMonth)) else if(isSet( $GoYear)) else if(isSet( $GoToday)) else if(isSet( $GoNew)) if(isSet( $AddFile)) | $ini =& eZINI::instance( 'site.ini' )
| $SiteDesign = $ini->variable( "site", "SiteDesign" )
| $Language = $ini->variable( "eZGroupEventCalendarMain", "Language" )
| $StartTimeStr = $ini->variable( "eZGroupEventCalendarMain", "DayStartTime" )
| $StopTimeStr = $ini->variable( "eZGroupEventCalendarMain", "DayStopTime" )
| $timeSelect = $ini->variable( "eZGroupEventCalendarMain", "TwelveHourSelect" )
| $Locale = new eZLocale( $Language )
| $user = eZUser::currentUser()
else | $userID = $user->id()
if(isset( $Action) && $Action=="New") else | $event = new eZGroupEvent( $EventID )
| $t
if(isset( $Action) &&"Edit"==$Action) | else
if( $userID==false) | $groupID = "-1"
| $noShowGroup = new eZGroupNoShow()
| $permission = new eZGroupEditor()
| $editor = false
if((isset( $Action) && $Action=="Insert"||isset( $Action) && $Action=="Update") && $groupError==true) if(isset( $Action) && $Action=="Update" && $groupError==false) | $today = new eZDate()
if(!isset( $year)||!isset( $month)||!isset( $day)) | $tmpdate = new eZDate( $Year, $Month, $Day )
if(isset( $Action) && $Action=="New" && $groupError==false) elseif(isset( $Action) && $Action=="New" && $groupError==true && $errorPrint==false) | $type = new eZGroupEventType()
| $typeList =& $type->getTree()
foreach( $typeList as $type) | $category = new eZGroupEventCategory()
| $categoryList =& $category->getTree()

## Function Documentation

## ◆ addZero()

addZero | ( |  | $value | ) |

Definition at line 1944 of file eventedit.php.

References $ret.

Referenced by convertToTwelve(), and convertToTwentyFour().

## ◆ convertToTwelve()

convertToTwelve | ( |  | $value | ) |

Definition at line 1955 of file eventedit.php.

References $ret, and addZero().

## ◆ convertToTwentyFour()

convertToTwentyFour | ( |  | $value,
|  |  | $period
| ) |  |

Definition at line 2043 of file eventedit.php.

References $ret, and addZero().

## ◆ deleteCache()

foreach ($categoryList as $category) if (isset($Action) &&$Action !="Edit") if ($groupError==false) deleteCache | ( |  | $siteStyle,
|  |  | $language,
|  |  | $year,
|  |  | $month,
|  |  | $day,
|  |  | $groupID
| ) |  |

Definition at line 1931 of file eventedit.php.

References file_exists().

## Variable Documentation

## ◆ $category

foreach ($typeList as $type) $category = new eZGroupEventCategory()

Definition at line 1813 of file eventedit.php.

## ◆ $categoryList

$categoryList =& $category->getTree()

Definition at line 1814 of file eventedit.php.

## ◆ $editor

$editor = false

Definition at line 316 of file eventedit.php.

## ◆ $event

if (isset($Action) &&$Action=="New") else $event = new eZGroupEvent( $EventID )

Definition at line 189 of file eventedit.php.

Referenced by eZDFSFileHandlerMySQLiBackend\_deleteByDirListInner(), eventRowSpan(), eZGroupEvent\getByGroupType(), getEventHeight(), and ezpEvent\registerEventListeners().

## ◆ $groupID

if ($userID==false) $groupID = "-1"

Definition at line 309 of file eventedit.php.

## ◆ $ini

if (isset($DeleteEvents)) if (isset($GoDay)) else if (isSet($GoWeek)) else if (isSet($GoMonth)) else if (isSet($GoYear)) else if (isSet($GoToday)) else if (isSet($GoNew)) if (isSet($AddFile)) $ini =& eZINI::instance( 'site.ini' )

Definition at line 150 of file eventedit.php.

## ◆ $Language

$Language = $ini->variable( "eZGroupEventCalendarMain", "Language" )

Definition at line 153 of file eventedit.php.

## ◆ $Locale

$Locale = new eZLocale( $Language )

Definition at line 158 of file eventedit.php.

## ◆ $masterGroupID

else $masterGroupID = 0

Definition at line 34 of file eventedit.php.

## ◆ $noShowGroup

$noShowGroup = new eZGroupNoShow()

Definition at line 312 of file eventedit.php.

## ◆ $permission

$permission = new eZGroupEditor()

Definition at line 315 of file eventedit.php.

Referenced by changePermissions(), eZPermission\checkPermission(), eZProductCategory\generatePermissionSQL(), eZObjectPermission\getGroups(), eZObjectPermission\getObjects(), eZObjectPermission\hasPermission(), eZObjectPermission\hasPermissionWithDefinition(), eZObjectPermission\removePermissions(), eZBulkMail\send(), and eZObjectPermission\setPermission().

## ◆ $SiteDesign

$SiteDesign = $ini->variable( "site", "SiteDesign" )

Definition at line 152 of file eventedit.php.

## ◆ $StartTimeStr

$StartTimeStr = $ini->variable( "eZGroupEventCalendarMain", "DayStartTime" )

Definition at line 154 of file eventedit.php.

## ◆ $StopTimeStr

$StopTimeStr = $ini->variable( "eZGroupEventCalendarMain", "DayStopTime" )

Definition at line 155 of file eventedit.php.

## ◆ $t

$t

Initial value:
= new eZTemplate( "kernel/ezgroupeventcalendar/user/" . $ini->variable( "eZGroupEventCalendarMain", "TemplateDir" ),
"kernel/ezgroupeventcalendar/user/intl/", $Language, "eventedit.php" )
eZTemplate
Definition: eztemplate.php:107
$Language
$Language
Definition: eventedit.php:153
$ini
if(isset( $DeleteEvents)) if(isset( $GoDay)) else if(isSet( $GoWeek)) else if(isSet( $GoMonth)) else if(isSet( $GoYear)) else if(isSet( $GoToday)) else if(isSet( $GoNew)) if(isSet( $AddFile)) $ini
Definition: eventedit.php:150

Definition at line 194 of file eventedit.php.

## ◆ $timeSelect

$timeSelect = $ini->variable( "eZGroupEventCalendarMain", "TwelveHourSelect" )

Definition at line 156 of file eventedit.php.

## ◆ $tmpdate

if (!isset($year)||!isset($month)||!isset($day)) $tmpdate = new eZDate( $Year, $Month, $Day )

Definition at line 1125 of file eventedit.php.

## ◆ $today

if ((isset($Action) &&$Action=="Insert"||isset($Action) &&$Action=="Update") &&$groupError==true) if (isset($Action) &&$Action=="Update" &&$groupError==false) $today = new eZDate()

Definition at line 1118 of file eventedit.php.

## ◆ $type

if (isset($Action) &&$Action=="New" &&$groupError==false) elseif (isset($Action) &&$Action=="New" &&$groupError==true &&$errorPrint==false) $type = new eZGroupEventType()

Definition at line 1780 of file eventedit.php.

## ◆ $typeList

$typeList =& $type->getTree()

Definition at line 1781 of file eventedit.php.

## ◆ $URL

$URL = explode( "/", $_SERVER['REQUEST_URI'] )

Definition at line 29 of file eventedit.php.

## ◆ $user

$user = eZUser::currentUser()

Definition at line 160 of file eventedit.php.

## ◆ $userID

else $userID = $user->id()

Definition at line 182 of file eventedit.php.

## ◆ else

if ($user==true) else

Initial value:
{
$t->set_var( "top_buttons", "" )
$t
$t
Definition: eventedit.php:194

Definition at line 259 of file eventedit.php.

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.